Bug 1831868 (CVE-2020-12653) - CVE-2020-12653 kernel: buffer overflow in mwifiex_cmd_append_vsie_tlv function in drivers/net/wireless/marvell/mwifiex/scan.c
Summary: CVE-2020-12653 kernel: buffer overflow in mwifiex_cmd_append_vsie_tlv functio...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-12653
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1807052 1831870 1844019 1844020 1844021 1844023 1844024 1844025 1844026 1844027 1844029 1844031 1844032 1844034 1844035 1844036 1844037 1844038 1844039 1844040 1844042 1844049
Blocks: 1831869
TreeView+ depends on / blocked
 
Reported: 2020-05-05 19:16 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-08-28 19:40 UTC (History)
48 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way the mwifiex_cmd_append_vsie_tlv() in Linux kernel's Marvell WiFi-Ex driver handled vendor specific information elements. A local user could use this flaw to escalate their privileges on the system.
Clone Of:
Environment:
Last Closed: 2020-07-07 13:27:39 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3086 None None None 2020-07-22 01:04:32 UTC
Red Hat Product Errata RHBA-2020:3235 None None None 2020-07-30 01:09:51 UTC
Red Hat Product Errata RHBA-2020:3236 None None None 2020-07-30 02:11:39 UTC
Red Hat Product Errata RHBA-2020:3249 None None None 2020-07-30 14:36:51 UTC
Red Hat Product Errata RHBA-2020:3551 None None None 2020-08-25 14:35:51 UTC
Red Hat Product Errata RHBA-2020:3552 None None None 2020-08-25 14:40:20 UTC
Red Hat Product Errata RHSA-2020:2832 None None None 2020-07-07 08:36:53 UTC
Red Hat Product Errata RHSA-2020:3010 None None None 2020-07-21 11:05:11 UTC
Red Hat Product Errata RHSA-2020:3016 None None None 2020-07-21 11:23:21 UTC
Red Hat Product Errata RHSA-2020:3041 None None None 2020-07-21 14:32:29 UTC
Red Hat Product Errata RHSA-2020:3220 None None None 2020-07-29 18:19:00 UTC
Red Hat Product Errata RHSA-2020:3221 None None None 2020-07-29 18:19:39 UTC
Red Hat Product Errata RHSA-2020:3222 None None None 2020-07-29 19:37:19 UTC
Red Hat Product Errata RHSA-2020:3224 None None None 2020-07-29 20:26:21 UTC
Red Hat Product Errata RHSA-2020:3226 None None None 2020-07-29 20:47:03 UTC
Red Hat Product Errata RHSA-2020:3232 None None None 2020-07-29 21:36:20 UTC
Red Hat Product Errata RHSA-2020:3389 None None None 2020-08-11 07:15:53 UTC
Red Hat Product Errata RHSA-2020:3432 None None None 2020-08-12 11:41:11 UTC

Description Guilherme de Almeida Suckevicz 2020-05-05 19:16:15 UTC
An issue was found in Linux kernel before 5.5.4. The mwifiex_cmd_append_vsie_tlv() function in drivers/net/wireless/marvell/mwifiex/scan.c allows local users to gain privileges or cause a denial of service because of an incorrect memcpy and buffer overflow.

Reference and upstream commit:
https://cdn.kernel.org/pub/linux/kernel/v5.x/ChangeLog-5.5.4
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=b70261a288ea4d2f4ac7cd04be08a9f0f2de4f4d

Comment 1 Guilherme de Almeida Suckevicz 2020-05-05 19:19:26 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1831870]

Comment 2 Justin M. Forbes 2020-05-06 21:05:58 UTC
This was fixed for Fedora with the 5.4.20 stable kernel update.

Comment 3 Petr Matousek 2020-06-04 14:29:28 UTC
Mitigation:

In order to mitigate this issue it is possible to prevent the affected code from being loaded by blacklisting the kernel module mwifiex. For instructions relating to how to blacklist a kernel module refer to: https://access.redhat.com/solutions/41278

Comment 6 errata-xmlrpc 2020-07-07 08:36:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.3 Advanced Update Support
  Red Hat Enterprise Linux 7.3 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.3 Telco Extended Update Support

Via RHSA-2020:2832 https://access.redhat.com/errata/RHSA-2020:2832

Comment 7 Product Security DevOps Team 2020-07-07 13:27:39 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-12653

Comment 9 errata-xmlrpc 2020-07-21 11:05:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3010 https://access.redhat.com/errata/RHSA-2020:3010

Comment 10 errata-xmlrpc 2020-07-21 11:23:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3016 https://access.redhat.com/errata/RHSA-2020:3016

Comment 11 errata-xmlrpc 2020-07-21 14:32:26 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3041 https://access.redhat.com/errata/RHSA-2020:3041

Comment 12 errata-xmlrpc 2020-07-29 18:18:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3220 https://access.redhat.com/errata/RHSA-2020:3220

Comment 13 errata-xmlrpc 2020-07-29 18:19:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:3221 https://access.redhat.com/errata/RHSA-2020:3221

Comment 14 errata-xmlrpc 2020-07-29 19:37:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3222 https://access.redhat.com/errata/RHSA-2020:3222

Comment 15 errata-xmlrpc 2020-07-29 20:26:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:3224 https://access.redhat.com/errata/RHSA-2020:3224

Comment 16 errata-xmlrpc 2020-07-29 20:46:58 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:3226 https://access.redhat.com/errata/RHSA-2020:3226

Comment 17 errata-xmlrpc 2020-07-29 21:36:16 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.2 Advanced Update Support

Via RHSA-2020:3232 https://access.redhat.com/errata/RHSA-2020:3232

Comment 18 errata-xmlrpc 2020-08-11 07:15:49 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise MRG 2

Via RHSA-2020:3389 https://access.redhat.com/errata/RHSA-2020:3389

Comment 19 errata-xmlrpc 2020-08-12 11:41:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Advanced Update Support
  Red Hat Enterprise Linux 7.4 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.4 Telco Extended Update Support

Via RHSA-2020:3432 https://access.redhat.com/errata/RHSA-2020:3432


Note You need to log in before you can comment on or make changes to this bug.